package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmSygd对象", description="")
public class DmSygd implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "分段号")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "批量号")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "钢加大组结束")
    private String gjjsDz;

    @ApiModelProperty(value = "钢加小组结束")
    private String gjjsXz;

    @ApiModelProperty(value = "钢加开始")
    private String gjks;

    @ApiModelProperty(value = "套料图接收")
    private String jsqTlt;

    @ApiModelProperty(value = "板材领取表接收")
    private String jsqLqb;

    @ApiModelProperty(value = "订货清单号")
    private String dhqd;

    @ApiModelProperty(value = "状态；0编辑 1提交 2审核 3下发 4完成 5拖期")
    private String gdZt="0";

    @ApiModelProperty(value = "订货板数")
    private Double orderBs;

    @ApiModelProperty(value = "到货板数")
    private Double arrivalBs;

    @ApiModelProperty(value = "套料图板数")
    private int tltSl;

    @ApiModelProperty(value = "上料张数")
    private int slSl;

    @ApiModelProperty(value = "上料时间")
    private String slSj;

    @ApiModelProperty(value = "抛丸数量")
    private int pwSl;

    @ApiModelProperty(value = "抛丸时间")
    private String pwSj;

    @ApiModelProperty(value = "型材抛丸")
    private Double xcpwSl;

    @ApiModelProperty(value = "型材抛丸时间")
    private String xcpwSj;

    @ApiModelProperty(value = "1跨平直大板（大组）")
    private int n1ad;

    @ApiModelProperty(value = "加工时间")
    private String n1adSj;

    @ApiModelProperty(value = "1跨平直大板（小组）")
    private int n1ax;

    @ApiModelProperty(value = "加工时间")
    private String n1axSj;

    @ApiModelProperty(value = "1跨进线板（大组）")
    private int n1ld;

    @ApiModelProperty(value = "加工时间")
    private String n1ldSj;

    @ApiModelProperty(value = "2跨超长超宽板（大组）")
    private int n2bd;

    @ApiModelProperty(value = "加工时间")
    private String n2bdSj;

    @ApiModelProperty(value = "2跨超长超宽板（小组）")
    private int n2bx;

    @ApiModelProperty(value = "加工时间")
    private String n2bxSj;

    @ApiModelProperty(value = "2跨超长超宽曲板（小组）")
    private int n2cx;

    @ApiModelProperty(value = "加工时间")
    private String n2cxSj;

    @ApiModelProperty(value = "2跨超长超宽曲板（大组）")
    private int n2cd;

    @ApiModelProperty(value = "加工时间")
    private String n2cdSj;

    @ApiModelProperty(value = "2跨T型材腹板（小组）")
    private int n2tx;

    @ApiModelProperty(value = "加工时间")
    private String n2txSj;

    @ApiModelProperty(value = "2跨T型材腹板（大组）")
    private int n2td;

    @ApiModelProperty(value = "加工时间")
    private String n2tdSj;

    @ApiModelProperty(value = "2跨激光切割板（小组）")
    private int n2jx;

    @ApiModelProperty(value = "加工时间")
    private String n2jxSj;

    @ApiModelProperty(value = "2跨激光切割板（大组）")
    private int n2jd;

    @ApiModelProperty(value = "加工时间")
    private String n2jdSj;

    @ApiModelProperty(value = "3跨曲板（小组）")
    private int n3cx;

    @ApiModelProperty(value = "加工时间")
    private String n3cxSj;

    @ApiModelProperty(value = "3跨曲板（大组）")
    private int n3cd;

    @ApiModelProperty(value = "加工时间")
    private String n3cdSj;

    @ApiModelProperty(value = "3跨厚板（小组）")
    private int n3hx;

    @ApiModelProperty(value = "加工时间")
    private String n3hxSj;

    @ApiModelProperty(value = "3跨厚板（大组）")
    private int n3hd;

    @ApiModelProperty(value = "加工时间")
    private String n3hdSj;

    @ApiModelProperty(value = "4跨普通板（小组）")
    private int n4px;

    @ApiModelProperty(value = "加工时间")
    private String n4pxSj;

    @ApiModelProperty(value = "4跨普通板（大组）")
    private int n4pd;

    @ApiModelProperty(value = "加工时间")
    private String n4pdSj;

    @ApiModelProperty(value = "4跨普通板（机器人）")
    private int n4xx;

    @ApiModelProperty(value = "加工时间")
    private String n4xxSj;

    @ApiModelProperty(value = "光电")
    private int n8gx;

    @ApiModelProperty(value = "加工时间")
    private String n8gxSj;

    @ApiModelProperty(value = "7跨型板（小组）")
    private int x7xx;

    @ApiModelProperty(value = "加工时间")
    private String x7xxSj;

    @ApiModelProperty(value = "7跨型板（大组）")
    private int x7xd;

    @ApiModelProperty(value = "加工时间")
    private String x7xdSj;

    @ApiModelProperty(value = "2跨T型材面板（小组）")
    private int s2tx;

    @ApiModelProperty(value = "加工时间")
    private String s2txSj;

    @ApiModelProperty(value = "2跨T型材面板（大组）")
    private int s2td;

    @ApiModelProperty(value = "加工时间")
    private String s2tdSj;

    @ApiModelProperty(value = "3跨平铁（小组）")
    private int s3px;

    @ApiModelProperty(value = "加工时间")
    private String s3pxSj;

    @ApiModelProperty(value = "3跨平铁（大组）")
    private int s3pd;

    @ApiModelProperty(value = "加工时间")
    private String s3pdSj;

    @ApiModelProperty(value = "3跨平铁（机器人）")
    private int s3xx;

    @ApiModelProperty(value = "加工时间")
    private String s3xxSj;

    @ApiModelProperty(value = "计划大组完成时间")
    private String jhwgDz;

    @ApiModelProperty(value = "计划小组完成时间")
    private String jhwgXz;

    @ApiModelProperty(value = "数据来源船")
    private String sjlyCh;
    @ApiModelProperty(value = "数据更新时间")
    private String gxsj;
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    @TableField(exist = false)
    private String beginTime;

    @TableField(exist = false)
    private String endTime;
}
