package com.dsic.gj_erp.mapper;

import com.dsic.gj_erp.bean.sy.Syuserp;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
@Mapper
public interface SyuserMapper {

    int updateUser (Syuserp syuserp);
    List<Map> getUserMenu(String usercode, String systemcode);

    List<Map> getSystemList();

    List<Map> getMenuList();

    List<Map> getUserListByMenu(Map<String, Object> paramMap);

    List<Map> getDepartList();

    List<Map> getRoleList();

    List<Map> getRoleListByUser(String user_code);

    Integer addRoleForUser(Map<String, Object> user_role);

    Integer deleteRoleForUser(Map<String, Object> user_role);

    List<Map> getInstitutionList();

    List<Map> getUserListByRole(String role_code);

    List<Map> getInstitutionListByRole(String role_code);

    List<Map> getSystemListByRole(String role_code);

    List<Map> getMenuListByRole(String role_code);
}
